import java.util.*;

public class Common {

	public static int width(int mode) {
		switch (mode) {
			case 1:
			case 2:
			case 3:
				return 5;
			case 4:
				return 6;
			default:
				return -1;
		}

	}

	public static int height(int mode) {
		switch (mode) {
			case 1:
			case 2:
			case 3:
				return 4;
			case 4:
				return 6;
			default:
				return -1;
		}

	}

	public static int startPointX(int mode) {
		if (mode == 2) return 0;
		return -1;
	}

	public static int startPointY(int mode) {
		if (mode == 2) return 1;
		return -1;
	}

	public static String startPoint(int mode) {
		if ((startPointX(mode) >= 0) && (startPointY(mode) >= 0)) {
			return startPointX(mode) + "x" + startPointY(mode);
		} else {
			return null;
		}
	}

	public static int endPointX(int mode) {
		if (mode == 2) return 3;
		return -1;
	}

	public static int endPointY(int mode) {
		if (mode == 2) return 2;
		return -1;
	}

	public static String endPoint(int mode) {
		if ((endPointX(mode) >= 0) && (endPointY(mode) >= 0)) {
			return endPointX(mode) + "x" + endPointY(mode);
		} else {
			return null;
		}
	}

	public static HashSet<String> excludedPoints(int mode) {
		HashSet<String> r = new HashSet<String>();
		if (mode == 3) {
			r.add("0x3");
			r.add("1x1");
			r.add("3x2");
			r.add("3x3");
		} else if (mode == 4) {
			r.add("0x0");
			r.add("0x2");
			r.add("0x4");
			r.add("0x5");
			r.add("1x1");
			r.add("1x3");
			r.add("1x4");
			r.add("2x0");
			r.add("2x2");
			r.add("2x3");
			r.add("2x5");
			r.add("3x1");
			r.add("3x2");
			r.add("3x4");
			r.add("4x0");
			r.add("4x3");
			r.add("4x4");
			r.add("5x1");
			r.add("5x3");
			r.add("5x5");
		}
		return r;
	}

}
